Loading...
Searching...
No Matches
crc.h File Reference
libavutil » Crypto and Hashing » Hash Functions » CRC

Public header for CRC hash function implementation. More...

`#include <stdint.h>`
`#include <stddef.h>`
`#include "attributes.h"`

Go to the source code of this file.

## Typedefs

typedef uint32_t | AVCRC

## Enumerations

enum | AVCRCId { AV_CRC_8_ATM , AV_CRC_16_ANSI , AV_CRC_16_CCITT , AV_CRC_32_IEEE , AV_CRC_32_IEEE_LE , AV_CRC_16_ANSI_LE , AV_CRC_24_IEEE , AV_CRC_8_EBU , AV_CRC_MAX }

## Functions

int | av_crc_init (AVCRC *ctx, int le, int bits, uint32_t poly, int ctx_size)
| Initialize a CRC table.
const AVCRC * | av_crc_get_table (AVCRCId crc_id)
| Get an initialized standard CRC table.
uint32_t | av_crc (const AVCRC *ctx, uint32_t crc, const uint8_t *buffer, size_t length) av_pure
| Calculate the CRC of a block.

## Detailed Description

Public header for CRC hash function implementation.

Definition in file crc.h.